package lucastest;

public class GNode {


    private int chX;
    private int chY;
    private int anc;
    private double height;
    private int sTip;
    private String id;

    public GNode(String id, double height, int sTip) {
        chX = -1;
        chY = -1;
        anc = -1;
        this.height = height;
        this.sTip = sTip;
        this.id = id;
    }

    public GNode getCopy() {
        GNode copy = new GNode(id, height, sTip);
        copy.chX = chX;
        copy.chY = chY;
        copy.anc = anc;
        return copy;
    }

    public void setChX(int chX) {
        this.chX = chX;
    }

    public void setChY(int chY) {
        this.chY = chY;
    }

    public void setAnc(int anc) {
        this.anc = anc;
    }

    public void setId(String id) {
        this.id = id;
    }

    public int getAnc() {
        return anc;
    }

    public boolean isRoot() {
        return anc < 0;
    }

    public double getHeight() {
        return height;
    }

    public int getChX() {
        return chX;
    }

    public int getChY() {
        return chY;
    }

    public String getID() {
        return id;
    }



    public int getSTip() {
        return sTip;
    }

    public String asText() {
        return String.format("%4s chX %2d  chY %2d  anc %2d height %8.6f sTip %2d", id,  chX, chY, anc, height, sTip);
    }

    public void setHeight(double newH) {
        height = newH;
    }

    public void setSTip(int sTip) {
        this.sTip = sTip;
    }
}
