package lucastest;

public class ThreeStateCTAModel {

    double s;
    double m;
    double a;
    double x;
    double y;
    double xsuby;
    double xaddy;


    ThreeStateCTAModel(double s, double mRate, double meanCRate) {
        this.s = s;
        m = mRate;
        a = meanCRate;
        x = m * s + 0.5 * a;
        y = 0.5 * Math.sqrt(4*x*x - 8*a*m);
        xsuby = x - y;
        xaddy = x + y;
    }

    double getCTAPr2Given2(double t) {
        double pr = (0.5 / y) * Math.exp(-xsuby*t) * ((2*m - xsuby) + (xaddy - 2*m)*Math.exp(-2*y*t));
        assert Utils.validProbability(pr);
        return pr;
    }

    double getCTAPr3Given2(double t) {
        double pr = ( s - 1) * (m / y) * Math.exp(-xsuby*t) * (1.0 - Math.exp(-2*y*t));
        assert Utils.validProbability(pr);
        return pr;
    }

    double getCTAPr2Given3(double t) {
        double pr = (m / y) * Math.exp(-xsuby*t) * (1.0 - Math.exp(-2*y*t));
        assert Utils.validProbability(pr);
        return pr;
    }

    double getCTAPr3Given3(double t) {
        double pr = (0.5/y) *  Math.exp(-xsuby*t) * ((xaddy - 2*m) + (2*m - xsuby) * Math.exp(-2*y*t));
        assert Utils.validProbability(pr);
        return pr;
    }

}
