

dirpath = "C:/Users/GRJ/AAA/ProgramOutput/Lucas"



plot.ecdfs <- function(dh, mh, titletxt) {
	maxh = max(dh, mh)
	minh = min(dh, mh)
	cdf = seq(from=0, to=1, length.out=101)
	qdh = quantile(dh, cdf)
	qmh = quantile(mh, cdf)
	matplot(qdh, cdf, type='l', xlim=c(minh, maxh))
	lines(qmh, cdf, col="red")
	title(titletxt)
}


do.tests2lin <- function() {
	tests2lin = c("Testspp2lins2m05", "Testspp2lins2m5", "Testspp2lins2m50", "Testspp2lins2m500",
						"Testspp3lins2m05", "Testspp3lins2m5", "Testspp3lins2m50", "Testspp3lins2m500",
						"Testspp6lins2m05", "Testspp6lins2m5", "Testspp6lins2m50", "Testspp6lins2m500")
	
	for (test in tests2lin) {
		testdpath = paste0(dirpath, "/", test)
		direct = read.table(file=paste0(testdpath, "/", "directCollection.txt"), header = TRUE)
		mcmc = read.table(file=paste0(testdpath, "/", "MCMC.txt"), header = TRUE)
		dhgt2 = as.matrix(direct[, "hgt2"])
		mhgt2 = as.matrix(mcmc[, "hgt2"])
		plot.ecdfs(dhgt2, mhgt2, test)
	}
}






do.tests5spp5lin11111 <- function() {
	tests5spp5lin11111 = c("Testspp5lins1+1+1+1+1m05", "Testspp5lins1+1+1+1+1m5",
												 "Testspp5lins1+1+1+1+1m50", "Testspp5lins1+1+1+1+1m500")
	for (test in tests5spp5lin11111) {
		testdpath = paste0(dirpath, "/", test)
		direct = read.table(file=paste0(testdpath, "/", "directCollection.txt"), header = TRUE)
		mcmc = read.table(file=paste0(testdpath, "/", "MCMC.txt"), header = TRUE)
		dhgt5678 = as.matrix(direct[, c("hgt5","hgt6","hgt7","hgt8")])
		mhgt5678 = as.matrix(mcmc[, c("hgt5","hgt6","hgt7","hgt8")])
		for (i in 1:nrow(dhgt5678)) {
			dhgt5678[i,] = sort(dhgt5678[i,])
			mhgt5678[i,] = sort(mhgt5678[i,])
		}
		print(summary(dhgt5678[,1]))
		print(summary(mhgt5678[,1]))
		plot.ecdfs(dhgt5678[,1], mhgt5678[,1], paste(test, "interval 1"))
		plot.ecdfs(dhgt5678[,2]-dhgt5678[,1], mhgt5678[,2]-mhgt5678[,1], paste(test, "interval 2"))
		plot.ecdfs(dhgt5678[,3]-dhgt5678[,2], mhgt5678[,3]-mhgt5678[,2], paste(test, "interval 3"))
		plot.ecdfs(dhgt5678[,4]-dhgt5678[,3], mhgt5678[,4]-mhgt5678[,3], paste(test, "interval 4"))
	}
}

do.tests5spp5lin44444 <- function() {
	tests5spp5lin44444 = c("Testspp5lins4+4+4+4+4m05", "Testspp5lins4+4+4+4+4m5",
												 "Testspp5lins4+4+4+4+4m50", "Testspp5lins4+4+4+4+4m500")
	for (test in tests5spp5lin44444) {
		testdpath = paste0(dirpath, "/", test)
		direct = read.table(file=paste0(testdpath, "/", "directCollection.txt"), header = TRUE)
		mcmc = read.table(file=paste0(testdpath, "/", "MCMC.txt"), header = TRUE)
		dhgts = as.matrix(direct[, paste0("hgt", 20:38)])
		mhgts = as.matrix(mcmc[, paste0("hgt", 20:38)])
		for (i in 1:nrow(dhgts)) {
			dhgts[i,] = sort(dhgts[i,])
			mhgts[i,] = sort(mhgts[i,])
		}
		cat(test, "\ncoalescence true estimate\n")
		for (i in 1:19) {
			meddh = median(dhgts[,i])
			medmh = median(mhgts[,i])
			logratio = log(meddh/medmh)
			txt = ""
			if (abs(logratio) > log(1.4)) {
				txt = "*"
			}
			if (abs(logratio) > log(2)) {
				txt = "**"
			}
			if (abs(logratio) > log(4)) {
				txt = "***"
			}
			cat(i, "     ", meddh, "  ", medmh, txt, "\n")
		}
		cat("\n")
		for (i in 1:19) {
			if (i==1) {
				prevd = prevm = 0
			} else {
				prevd = dhgts[,i-1]
				prevm = mhgts[,i-1]
				
			}
		plot.ecdfs(dhgts[,i] - prevd, mhgts[,i] - prevm, paste(test, "interval", i))
		}
	}
}




do.tests3spp5lin320 <- function() {
	tests3spp5lin320 = c("Testspp3lins3+2+0m05", "Testspp3lins3+2+0m5", 
										"Testspp3lins3+2+0m50", "Testspp3lins3+2+0m500")
	for (test in tests3spp5lin320) {
		testdpath = paste0(dirpath, "/", test)
		direct = read.table(file=paste0(testdpath, "/", "directCollection.txt"), header = TRUE)
		mcmc = read.table(file=paste0(testdpath, "/", "MCMC.txt"), header = TRUE)
		dhgt5678 = as.matrix(direct[, c("hgt5","hgt6","hgt7","hgt8")])
		mhgt5678 = as.matrix(mcmc[, c("hgt5","hgt6","hgt7","hgt8")])
		for (i in 1:nrow(dhgt5678)) {
			dhgt5678[i,] = sort(dhgt5678[i,])
			mhgt5678[i,] = sort(mhgt5678[i,])
		}
		print(summary(dhgt5678[,1]))
		print(summary(mhgt5678[,1]))
		plot.ecdfs(dhgt5678[,1], mhgt5678[,1], paste(test, "interval 1"))
		plot.ecdfs(dhgt5678[,2]-dhgt5678[,1], mhgt5678[,2]-mhgt5678[,1], paste(test, "interval 2"))
		plot.ecdfs(dhgt5678[,3]-dhgt5678[,2], mhgt5678[,3]-mhgt5678[,2], paste(test, "interval 3"))
		plot.ecdfs(dhgt5678[,4]-dhgt5678[,3], mhgt5678[,4]-mhgt5678[,3], paste(test, "interval 4"))
	}
}


pdf(file = paste0(dirpath, "/tests2lin.pdf"))
do.tests2lin()
dev.off()

pdf(file = paste0(dirpath, "/tests5spp5lin11111.pdf"))
do.tests5spp5lin11111()
dev.off()

pdf(file = paste0(dirpath, "/tests3spp5lin320.pdf"))
do.tests3spp5lin320()
dev.off()

pdf(file = paste0(dirpath, "/tests5spp5lin44444.pdf"))
do.tests5spp5lin44444()
dev.off()

